export declare enum Language {
    TYPESCRIPT = "typescript",
    JAVASCRIPT = "javascript"
}
export declare enum HttpClient {
    FETCH = "fetch",
    XHR = "xhr"
}
/**
 * Generate the OpenAPI client. This method will read the OpenAPI specification and based on the
 * given language it will generate the client, including the typed models, validation schemas,
 * service layer, etc.
 * @param input The relative location of the OpenAPI spec.
 * @param output The relative location of the output directory.
 * @param language: The language that should be generated (Typescript or Javascript).
 * @param httpClient: The selected httpClient (fetch or XHR).
 */
export declare function generate(input: string, output: string, language?: Language, httpClient?: HttpClient): void;
export declare function compile(dir: string): void;
