"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PrimaryType;
(function (PrimaryType) {
    PrimaryType["FILE"] = "File";
    PrimaryType["OBJECT"] = "any";
    PrimaryType["BOOLEAN"] = "boolean";
    PrimaryType["NUMBER"] = "number";
    PrimaryType["STRING"] = "string";
    PrimaryType["VOID"] = "void";
    PrimaryType["NULL"] = "null";
})(PrimaryType = exports.PrimaryType || (exports.PrimaryType = {}));
exports.TYPE_MAPPINGS = new Map([
    ['file', PrimaryType.FILE],
    ['binary', PrimaryType.FILE],
    ['any', PrimaryType.OBJECT],
    ['object', PrimaryType.OBJECT],
    ['boolean', PrimaryType.BOOLEAN],
    ['byte', PrimaryType.NUMBER],
    ['int', PrimaryType.NUMBER],
    ['int32', PrimaryType.NUMBER],
    ['int64', PrimaryType.NUMBER],
    ['integer', PrimaryType.NUMBER],
    ['float', PrimaryType.NUMBER],
    ['double', PrimaryType.NUMBER],
    ['short', PrimaryType.NUMBER],
    ['long', PrimaryType.NUMBER],
    ['number', PrimaryType.NUMBER],
    ['char', PrimaryType.STRING],
    ['date', PrimaryType.STRING],
    ['date-time', PrimaryType.STRING],
    ['password', PrimaryType.STRING],
    ['string', PrimaryType.STRING],
    ['void', PrimaryType.VOID],
    ['null', PrimaryType.NULL],
]);
var Method;
(function (Method) {
    Method["GET"] = "get";
    Method["PUT"] = "put";
    Method["POST"] = "post";
    Method["DELETE"] = "delete";
    Method["OPTIONS"] = "options";
    Method["HEAD"] = "head";
    Method["PATCH"] = "patch";
})(Method = exports.Method || (exports.Method = {}));
