"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const camelcase_1 = require("camelcase");
/**
 * Convert the input value to a correct service classname. This converts
 * the input string to PascalCase and appends the "Service" prefix if needed.
 */
function getServiceClassName(value) {
    const clean = value.replace(/[^\w\s\-]+/g, '_').trim();
    const name = camelcase_1.default(clean, { pascalCase: true });
    if (name && !name.endsWith('Service')) {
        return `${name}Service`;
    }
    return name;
}
exports.getServiceClassName = getServiceClassName;
