"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function exportService(service) {
    const names = new Map();
    return {
        ...service,
        imports: service.imports
            .filter(name => {
            return service.name !== name;
        })
            .filter((name, index, arr) => {
            return arr.indexOf(name) === index;
        })
            .sort((a, b) => {
            const nameA = a.toLowerCase();
            const nameB = b.toLowerCase();
            return nameA.localeCompare(nameB);
        }),
        operations: service.operations
            .map(operation => {
            const name = operation.name;
            const index = names.get(name) || 0;
            if (index > 0) {
                operation.name = `${name}${index}`;
            }
            names.set(name, index + 1);
            return operation;
        })
            .sort((a, b) => {
            const nameA = a.name.toLowerCase();
            const nameB = b.name.toLowerCase();
            return nameA.localeCompare(nameB);
        }),
    };
}
exports.exportService = exportService;
