"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const getFileName_1 = require("./getFileName");
function writeClientSettings(client, language, httpClient, templates, outputPath) {
    const fileName = getFileName_1.getFileName('OpenAPI', language);
    try {
        fs.writeFileSync(path.resolve(outputPath, fileName), templates.settings({
            language,
            httpClient,
            server: client.server,
            version: client.version,
        }));
    }
    catch (e) {
        throw new Error(`Could not write settings: "${fileName}"`);
    }
}
exports.writeClientSettings = writeClientSettings;
